package com.kxs.system.biz.controller.kxsapp;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.kxs.common.core.util.R;
import com.kxs.system.api.vo.kxsapp.sysMsg.SysMsgPageVO;
import com.kxs.system.biz.service.KxsSysMsgService;
import lombok.RequiredArgsConstructor;
import org.springdoc.core.annotations.ParameterObject;
import org.springframework.web.bind.annotation.*;

/**
 * 消息(SysMsg)控制层
 *
 * @author 系统
 * @since 2023-12-15 12:16:33
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("sysMsg")
public class SysMsgController {

    /**
     * 服务对象
     */
    private final KxsSysMsgService kxsSysMsgService;



    /**
     * 系统消息-全部已读
     *
     * @return 系统消息-全部已读
     */
    @PostMapping("/readAll")
    public R readAll() {
        kxsSysMsgService.readAll();
        return R.ok();
    }

    /**
     * 系统消息-消息详情
     *
     * @param id 主键ID
     * @return 系统消息-消息详情
     */
    @GetMapping("/getById")
    public R getById(@RequestParam("id") Integer id) {

        return R.ok(kxsSysMsgService.getByData(id));
    }


    /**
     * 系统消息-消息列表
     *
     * @param page 分页对象
     * @return 系统消息-消息列表
     */
    @GetMapping("/page")
    public R page(@ParameterObject Page<SysMsgPageVO> page) {
        return R.ok(kxsSysMsgService.getByPage(page));
    }





}

